import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  sortOrder: SortOrderSchema.optional()
}).strict();
export const LabRxTemplateAvgOrderByAggregateInputObjectSchema: z.ZodType<Prisma.LabRxTemplateAvgOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.LabRxTemplateAvgOrderByAggregateInput>;
export const LabRxTemplateAvgOrderByAggregateInputObjectZodSchema = makeSchema();
